package com.bizmatics.mhfire.persistence.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author yq
 * @date 2021/5/28 9:16
 * 火灾统计模块
 */
@Repository
public interface FireStatisticsMapper {


    /**
     * 根据时间，地址统计火灾数量
     * @param startTime
     * @param endTime
     * @return
     */
    Integer selectCount(@Param("startTime") String startTime,
                        @Param("endTime") String endTime,
                        @Param("fireAddress") String fireAddress,
                        @Param("level") String level);



    /**
     * 分页查询
     * @param page
     * @param startTime
     * @param endTime
     * @return
     */
    Page<Map<String,Object>> page(IPage<Map<String,Object>> page,
                                  @Param("startTime") String startTime,
                                  @Param("endTime")String endTime,
                                  @Param("endTime")String address);


    Map<String,Object> getOne(@Param("id") String id);


    List<String> groupByCause();


}
