package com.bizmatics.mhfire.persistence.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Map;

/**
 * @author yq
 * @date 2021/5/27 15:46
 * 消防水源信息
 */
@Repository
public interface FireWaterMapper {


    /**
     * 根据id查询水源
     * @param id
     * @return
     */
    Map<String,Object> selectOne(@Param("id") String id);


    /**
     * 分页查询
     * @param page
     * @param startTime
     * @param endTime
     * @return
     */
    Page<Map<String,Object>> page(IPage<Map<String,Object>> page,
                                  @Param("startTime") String startTime,
                                  @Param("endTime")String endTime);


    /**
     *
     * @param waterType 水源类型
     * @param waterNature 水源性质
     * @param getWaterType 取水形式
     * @return
     */
    Integer selectCountByWaterNature(@Param("waterType") String waterType,
                                     @Param("waterNature") String waterNature,
                                     @Param("getWaterType") String getWaterType);
}
