package com.bizmatics.mhfire.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.common.core.util.BeanMapperUtils;
import com.bizmatics.mhfire.persistence.mapper.UnitMapper;
import com.bizmatics.mhfire.persistence.mapper.po.UnitPO;
import com.bizmatics.mhfire.service.UnitService;

import com.bizmatics.mhfire.service.vo.UnitAlCheckVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @author yq
 * @date 2021/5/27 13:37
 */
@Service
public class UnitServiceImpl implements UnitService {

    @Autowired
    private UnitMapper unitMapper;
    @Override
    public UnitPO getOne(UnitPO unitPo) {
        Map<String, Object> map = unitMapper.selectOne(unitPo);
        return enhanceUnitPo(map);
    }

    @Override
    public CommonPage<UnitPO> page(Integer current, Integer size) {
        Page<Map<String, Object>> page = new Page<>(current, size);
        page = unitMapper.page(page);
        List<UnitPO> unitPoList = new ArrayList<>();
        page.getRecords().forEach(stringObjectMap -> unitPoList.add(enhanceUnitPo(stringObjectMap)));
        return new CommonPage<>(unitPoList, page.getTotal(), page.getSize(), page.getCurrent());

    }

    @Override
    public UnitAlCheckVO getUnitAlCheck(String unitId, String startTime, String endTime) {
        UnitPO unitPo = new UnitPO();
        unitPo.setId(unitId);
        UnitAlCheckVO unitAlCheckVo = BeanMapperUtils.map(getOne(unitPo), UnitAlCheckVO.class);
        //TODO 行政检查记录,历史处罚情况没有找见对应的记录

        return unitAlCheckVo;
    }

    /**
     * map转换为unitpo
     * @param unitPoMap
     * @return
     */
    public UnitPO enhanceUnitPo(Map<String,Object> unitPoMap){
        UnitPO unitPo = new UnitPO();
        unitPo.setName(unitPoMap.get("单位名称").toString());
        unitPo.setAddress(unitPoMap.get("单位地址").toString());
        //TODO 没有找见对应字段
        unitPo.setPrincipal(unitPoMap.get("单位名称").toString());
        unitPo.setPhone(unitPoMap.get("单位电话").toString());
        return unitPo;
    }

}
